- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
WP5PageFormatGroup Class Reference

`#include <WP5PageFormatGroup.h>`

Inheritance diagram for WP5PageFormatGroup:

## Public Member Functions
| WP5PageFormatGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP5PageFormatGroup ()
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP5Listener *listener)
Public Member Functions inherited from WP5VariableLengthGroup
| WP5VariableLengthGroup ()
virtual | ~WP5VariableLengthGroup ()
Public Member Functions inherited from WP5Part
virtual | ~WP5Part ()

## Private Attributes
unsigned short | m_leftMargin
unsigned short | m_rightMargin
double | m_lineSpacing
std::vector< WPXTabStop > | m_tabStops
unsigned short | m_marginOffset
unsigned short | m_topMargin
unsigned short | m_bottomMargin
unsigned char | m_justification
unsigned char | m_suppressCode
unsigned short | m_formLength
unsigned short | m_formWidth
WPXFormOrientation | m_formOrientation

## Additional Inherited Members
Static Public Member Functions inherited from WP5VariableLengthGroup
static WP5VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP5Part
static WP5Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP5VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Constructor & Destructor Documentation

WP5PageFormatGroup::WP5PageFormatGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |

WP5PageFormatGroup::~WP5PageFormatGroup | ( |  | ) |

## Member Function Documentation

void WP5PageFormatGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| virtual

Reimplemented from WP5VariableLengthGroup.

void WP5PageFormatGroup::parse | ( | WP5Listener * | listener | ) |
| virtual

Implements WP5Part.

## Member Data Documentation

unsigned short WP5PageFormatGroup::m_bottomMargin
| private

Referenced by _readContents(), and parse().

unsigned short WP5PageFormatGroup::m_formLength
| private

Referenced by _readContents(), and parse().

WPXFormOrientation WP5PageFormatGroup::m_formOrientation
| private

Referenced by _readContents(), and parse().

unsigned short WP5PageFormatGroup::m_formWidth
| private

Referenced by _readContents(), and parse().

unsigned char WP5PageFormatGroup::m_justification
| private

Referenced by _readContents(), and parse().

unsigned short WP5PageFormatGroup::m_leftMargin
| private

Referenced by _readContents(), and parse().

double WP5PageFormatGroup::m_lineSpacing
| private

Referenced by _readContents(), and parse().

unsigned short WP5PageFormatGroup::m_marginOffset
| private

Referenced by _readContents(), and parse().

unsigned short WP5PageFormatGroup::m_rightMargin
| private

Referenced by _readContents(), and parse().

unsigned char WP5PageFormatGroup::m_suppressCode
| private

Referenced by _readContents(), and parse().

std::vector<WPXTabStop> WP5PageFormatGroup::m_tabStops
| private

Referenced by _readContents(), and parse().

unsigned short WP5PageFormatGroup::m_topMargin
| private

Referenced by _readContents(), and parse().

The documentation for this class was generated from the following files:

- WP5PageFormatGroup.h
- WP5PageFormatGroup.cpp